#!/usr/bin/python

course = [ [c,int(x)] for line in open('input').read().splitlines()
           for c,x in [line.split()] ]

def solve(part):
    hor = 0
    depth = 0
    aim = 0
    for c,x in course:
        if c[0] == 'f':
            hor += x
            if part == 2:
                aim += depth*x
        elif c[0] == 'u':
            depth -= x
        elif c[0] == 'd':
            depth += x
    if part == 1:
        return hor*depth
    else:
        return hor*aim

print("Part 1:", solve(1))
print("Part 2:", solve(2))
